diff -upr ioquake3svn1438/code/q3_ui/ui_setup.c ioquake3serverFix/code/q3_ui/ui_setup.c
--- ioquake3svn1438/code/q3_ui/ui_setup.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_setup.c	2008-08-09 11:28:12.000000000 -0500
@@ -43,7 +43,7 @@ SETUP MENU
 #define ID_CUSTOMIZECONTROLS	11
 #define ID_SYSTEMCONFIG			12
 #define ID_GAME					13
-//#define ID_CDKEY				14
+#define ID_CDKEY				14
 #define ID_LOAD					15
 #define ID_SAVE					16
 #define ID_DEFAULTS				17
@@ -60,7 +60,7 @@ typedef struct {
 	menutext_s		setupcontrols;
 	menutext_s		setupsystem;
 	menutext_s		game;
-//	menutext_s		cdkey;
+	menutext_s		cdkey;
 //	menutext_s		load;
 //	menutext_s		save;
 	menutext_s		defaults;
@@ -123,9 +123,9 @@ static void UI_SetupMenu_Event( void *pt
 		UI_PreferencesMenu();
 		break;
 
-//	case ID_CDKEY:
-//		UI_CDKeyMenu();
-//		break;
+	case ID_CDKEY:
+		UI_CDKeyMenu();
+		break;
 
 //	case ID_LOAD:
 //		UI_LoadConfigMenu();
@@ -227,7 +227,7 @@ static void UI_SetupMenu_Init( void ) {
 	setupMenuInfo.game.color						= color_red;
 	setupMenuInfo.game.style						= UI_CENTER;
 
-/*	y += SETUP_MENU_VERTICAL_SPACING;
+	y += SETUP_MENU_VERTICAL_SPACING;
 	setupMenuInfo.cdkey.generic.type				= MTYPE_PTEXT;
 	setupMenuInfo.cdkey.generic.flags				= QMF_CENTER_JUSTIFY|QMF_PULSEIFFOCUS;
 	setupMenuInfo.cdkey.generic.x					= 320;
@@ -236,7 +236,7 @@ static void UI_SetupMenu_Init( void ) {
 	setupMenuInfo.cdkey.generic.callback			= UI_SetupMenu_Event; 
 	setupMenuInfo.cdkey.string						= "CD Key";
 	setupMenuInfo.cdkey.color						= color_red;
-	setupMenuInfo.cdkey.style						= UI_CENTER;*/
+	setupMenuInfo.cdkey.style						= UI_CENTER;
 
 	if( !trap_Cvar_VariableValue( "cl_paused" ) ) {
 #if 0
@@ -293,7 +293,7 @@ static void UI_SetupMenu_Init( void ) {
 	Menu_AddItem( &setupMenuInfo.menu, &setupMenuInfo.setupcontrols );
 	Menu_AddItem( &setupMenuInfo.menu, &setupMenuInfo.setupsystem );
 	Menu_AddItem( &setupMenuInfo.menu, &setupMenuInfo.game );
-//	Menu_AddItem( &setupMenuInfo.menu, &setupMenuInfo.cdkey );
+	Menu_AddItem( &setupMenuInfo.menu, &setupMenuInfo.cdkey );
 //	Menu_AddItem( &setupMenuInfo.menu, &setupMenuInfo.load );
 //	Menu_AddItem( &setupMenuInfo.menu, &setupMenuInfo.save );
 	if( !trap_Cvar_VariableValue( "cl_paused" ) ) {
diff -upr ioquake3svn1438/code/q3_ui/ui_sound.c ioquake3serverFix/code/q3_ui/ui_sound.c
--- ioquake3svn1438/code/q3_ui/ui_sound.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_sound.c	2008-08-09 11:28:12.000000000 -0500
@@ -44,9 +44,7 @@ SOUND OPTIONS MENU
 #define ID_MUSICVOLUME		15
 #define ID_QUALITY			16
 //#define ID_A3D				17
-//Sago: Here I do some stuff!
-#define ID_OPENAL			18
-#define ID_BACK				19
+#define ID_BACK				18
 
 
 static const char *quality_items[] = {
@@ -69,7 +67,6 @@ typedef struct {
 	menuslider_s		musicvolume;
 	menulist_s			quality;
 //	menuradiobutton_s	a3d;
-	menuradiobutton_s	openal;
 
 	menubitmap_s		back;
 } soundOptionsInfo_t;
@@ -137,17 +134,6 @@ static void UI_SoundOptionsMenu_Event( v
 		soundOptionsInfo.a3d.curvalue = (int)trap_Cvar_VariableValue( "s_usingA3D" );
 		break;
 */
-
-	case ID_OPENAL:
-		if( soundOptionsInfo.openal.curvalue ) {
-			trap_Cmd_ExecuteText( EXEC_NOW, "s_useopenal 1\n" );
-		}
-		else {
-			trap_Cmd_ExecuteText( EXEC_NOW, "s_useopenal 0\n" );
-		}
-		soundOptionsInfo.openal.curvalue = (int)trap_Cvar_VariableValue( "s_useopenal" );
-		break;
-
 	case ID_BACK:
 		UI_PopMenu();
 		break;
@@ -274,15 +260,6 @@ static void UI_SoundOptionsMenu_Init( vo
 	soundOptionsInfo.a3d.generic.x				= 400;
 	soundOptionsInfo.a3d.generic.y				= y;
 */
-	y += BIGCHAR_HEIGHT+2;
-	soundOptionsInfo.openal.generic.type			= MTYPE_RADIOBUTTON;
-	soundOptionsInfo.openal.generic.name			= "OpenAL:";
-	soundOptionsInfo.openal.generic.flags			= QMF_PULSEIFFOCUS|QMF_SMALLFONT;
-	soundOptionsInfo.openal.generic.callback		= UI_SoundOptionsMenu_Event;
-	soundOptionsInfo.openal.generic.id				= ID_OPENAL;
-	soundOptionsInfo.openal.generic.x				= 400;
-	soundOptionsInfo.openal.generic.y				= y;
-
 	soundOptionsInfo.back.generic.type			= MTYPE_BITMAP;
 	soundOptionsInfo.back.generic.name			= ART_BACK0;
 	soundOptionsInfo.back.generic.flags			= QMF_LEFT_JUSTIFY|QMF_PULSEIFFOCUS;
@@ -305,14 +282,12 @@ static void UI_SoundOptionsMenu_Init( vo
 	Menu_AddItem( &soundOptionsInfo.menu, ( void * ) &soundOptionsInfo.musicvolume );
 	Menu_AddItem( &soundOptionsInfo.menu, ( void * ) &soundOptionsInfo.quality );
 //	Menu_AddItem( &soundOptionsInfo.menu, ( void * ) &soundOptionsInfo.a3d );
-	Menu_AddItem( &soundOptionsInfo.menu, ( void * ) &soundOptionsInfo.openal );
 	Menu_AddItem( &soundOptionsInfo.menu, ( void * ) &soundOptionsInfo.back );
 
 	soundOptionsInfo.sfxvolume.curvalue = trap_Cvar_VariableValue( "s_volume" ) * 10;
 	soundOptionsInfo.musicvolume.curvalue = trap_Cvar_VariableValue( "s_musicvolume" ) * 10;
 	soundOptionsInfo.quality.curvalue = !trap_Cvar_VariableValue( "s_compression" );
 //	soundOptionsInfo.a3d.curvalue = (int)trap_Cvar_VariableValue( "s_usingA3D" );
-	soundOptionsInfo.openal.curvalue = (int)trap_Cvar_VariableValue( "s_useopenal" );
 }
 
 
diff -upr ioquake3svn1438/code/q3_ui/ui_splevel.c ioquake3serverFix/code/q3_ui/ui_splevel.c
--- ioquake3svn1438/code/q3_ui/ui_splevel.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_splevel.c	2008-08-09 11:28:12.000000000 -0500
@@ -199,9 +199,6 @@ static void UI_SPLevelMenu_SetBots( void
 		}
 
 		botInfo = UI_GetBotInfoByName( bot );
-                if( !botInfo )	{
-                     botInfo = UI_GetBotInfoByNumber( levelMenuInfo.numBots );
-                }
 		if( botInfo ) {
 			levelMenuInfo.botPics[levelMenuInfo.numBots] = PlayerIconHandle( Info_ValueForKey( botInfo, "model" ) );
 			Q_strncpyz( levelMenuInfo.botNames[levelMenuInfo.numBots], Info_ValueForKey( botInfo, "name" ), 10 );
diff -upr ioquake3svn1438/code/q3_ui/ui_sppostgame.c ioquake3serverFix/code/q3_ui/ui_sppostgame.c
--- ioquake3svn1438/code/q3_ui/ui_sppostgame.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_sppostgame.c	2008-08-09 11:28:12.000000000 -0500
@@ -167,7 +167,6 @@ static void UI_SPPostgameMenu_MenuEvent(
 		return;
 	}
 	UI_PopMenu();
-        trap_Cvar_Set( "nextmap", "" );
 	trap_Cmd_ExecuteText( EXEC_APPEND, "disconnect; levelselect\n" );
 }
 
diff -upr ioquake3svn1438/code/q3_ui/ui_spreset.c ioquake3serverFix/code/q3_ui/ui_spreset.c
--- ioquake3svn1438/code/q3_ui/ui_spreset.c	2008-06-22 03:28:44.000000000 -0500
+++ ioquake3serverFix/code/q3_ui/ui_spreset.c	2008-08-09 11:28:12.000000000 -0500
@@ -77,7 +77,9 @@ Reset_MenuKey
 */
 static sfxHandle_t Reset_MenuKey( int key ) {
 	switch ( key ) {
+	case K_KP_LEFTARROW:
 	case K_LEFTARROW:
+	case K_KP_RIGHTARROW:
 	case K_RIGHTARROW:
 		key = K_TAB;
 		break;
